Skip to main content
POST
/
api
/
2.0
/
insurance_companies
Create Insurance Company
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/insurance_companies/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "carrier": "<string>",
  "practice": 123,
  "address": "<string>",
  "aliases": "<string>",
  "city": "<string>",
  "eligibility_payer_id": "<string>",
  "extension": "<string>",
  "external_vendor_id": "<string>",
  "is_credentialed": true,
  "is_enrolled": true,
  "payer_id": "<string>",
  "phone": "<string>",
  "state": "<string>",
  "suite": "<string>",
  "zip": "<string>"
}
'
{
  "carrier": "<string>",
  "practice": 123,
  "address": "<string>",
  "aliases": "<string>",
  "city": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "eligibility_payer_id": "<string>",
  "extension": "<string>",
  "external_vendor_id": "<string>",
  "id": 123,
  "is_credentialed": true,
  "is_enrolled": true,
  "payer_id": "<string>",
  "phone": "<string>",
  "state": "<string>",
  "suite": "<string>",
  "zip": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
carrier
string
required
Maximum string length: 200
practice
integer<int64>
required
address
string
Maximum string length: 200
aliases
string | null

A string used to create alternate terms that will come up in search results (for example "BC" for Blue Cross).

Maximum string length: 300
city
string
Maximum string length: 50
eligibility_payer_id
string | null
Maximum string length: 200
extension
string | null
Maximum string length: 6
external_vendor_id
string | null

The ID used by a vendor to represent the carrier in their system.

Maximum string length: 200
insurance_type
enum<string> | null

An enumerator representing the type of insurance the carrier offers.

Available options:
Capitated,
Commercial,
Managed Medicaid,
Medicaid,
Medicare,
Medicare Advantage,
Medicare Supplement,
Self Pay,
Workers Compensation/Third Party Liability,
None
is_credentialed
boolean | null

Whether or not the practice has credentials to submit claims to the carrier.

is_enrolled
boolean | null
payer_id
string | null

The Payer ID of the insurance carrier.

Maximum string length: 200
phone
string | null
Maximum string length: 20
state
string
Maximum string length: 2
suite
string | null
Maximum string length: 40
zip
string
Maximum string length: 10

Response

201 - application/json
carrier
string
required
Maximum string length: 200
practice
integer<int64>
required
address
string
Maximum string length: 200
aliases
string | null

A string used to create alternate terms that will come up in search results (for example "BC" for Blue Cross).

Maximum string length: 300
city
string
Maximum string length: 50
created_date
string<date-time> | null
read-only
deleted_date
string<date-time> | null
read-only
eligibility_payer_id
string | null
Maximum string length: 200
extension
string | null
Maximum string length: 6
external_vendor_id
string | null

The ID used by a vendor to represent the carrier in their system.

Maximum string length: 200
id
integer
read-only
insurance_type
enum<string> | null

An enumerator representing the type of insurance the carrier offers.

Available options:
Capitated,
Commercial,
Managed Medicaid,
Medicaid,
Medicare,
Medicare Advantage,
Medicare Supplement,
Self Pay,
Workers Compensation/Third Party Liability,
None
is_credentialed
boolean | null

Whether or not the practice has credentials to submit claims to the carrier.

is_enrolled
boolean | null
payer_id
string | null

The Payer ID of the insurance carrier.

Maximum string length: 200
phone
string | null
Maximum string length: 20
state
string
Maximum string length: 2
suite
string | null
Maximum string length: 40
zip
string
Maximum string length: 10